mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags

The values in the enumeration are used in the parameter of the method. These values are the same as those defined in the COM REGCLS enumeration, which is used as the parameter in calls to the COM API CoRegisterClassObject.

For more information about CoRegisterClassObject and the REGCLS enumeration, see the MSDN library.

Defines the types of connections to a class object.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationConnectionType

  Multiple applications can connect to the class object through calls to CoGetClassObject.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationConnectionType

  Registers separate CLSCTX_LOCAL_SERVER and CLSCTX_INPROC_SERVER class factories.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationConnectionType

  Once an application is connected to a class object with CoGetClassObject, the class object is removed from public view so that no other applications can connect to it. This value is commonly used for single document interface (SDI) applications.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationConnectionType

  The class object is a surrogate process used to run DLL servers.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.RegistrationConnectionType

  Suspends registration and activation requests for the specified CLSID until there is a call to CoResumeClassObjects.